# blur.cpp File Reference

Implementation of the "Blur" layer. More...

`#include "blur.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/segment.h>`
`#include <cstring>`
`#include <ETL/pen>`

## Defines

#define | GAUSSIAN_ADJUSTMENT (0.05)

## Functions

| SYNFIG_LAYER_INIT (Blur_Layer)
| SYNFIG_LAYER_SET_NAME (Blur_Layer,"blur")
| SYNFIG_LAYER_SET_LOCAL_NAME (Blur_Layer, N_("Blur"))
| SYNFIG_LAYER_SET_CATEGORY (Blur_Layer, N_("Blurs"))
| SYNFIG_LAYER_SET_VERSION (Blur_Layer,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Blur_Layer,"$Id$")
void | clamp (synfig::Vector &v)

## Detailed Description

Implementation of the "Blur" layer.

$Id$

## Define Documentation

#define GAUSSIAN_ADJUSTMENT (0.05)

## Function Documentation

SYNFIG_LAYER_INIT | ( | Blur_Layer |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Blur_Layer | ,
|  | "blur" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Blur_Layer | ,
|  | N_("Blur") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Blur_Layer | ,
|  | N_("Blurs") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Blur_Layer | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Blur_Layer | ,
|  | "$Id$" |  |
| ) |  |  |

void clamp | ( | synfig::Vector & | v | ) | `[inline]`